Learn how legal professionals use technology to adapt to consumer expectations in the 2021 Legal Trends Report

Error Message: "Device Isn't Compatible with this Version" When Downloading the Clio App from the App Store / Play Store

Issue:

  • Unable to download the Clio App from the Google Play Store
  • Can't download the Clio Application from the iOS store
  • What OS version of Android/iOS do I need to use Clio's mobile app

Environment:

  • Android App
  • iOS App

Additional Information:

na

Cause:

Your mobile device isn't compatible with the Clio app. You must have iOS 10.3 / Android OS 8.0 or higher.

Resolution:

  1. Upgrade your device to the newest version of iOS / Android.

 

Was this article helpful?
This information is confusing or wrong
This isn't the information that I was looking for
I don't like this functionality